Package: groovy.swing.binding

## [Java] Class AbstractSyntheticBinding

- groovy.swing.binding.AbstractSyntheticBinding

-     public abstract class AbstractSyntheticBinding
      extends AbstractFullBinding

  Base class for bindings that observe synthetic Swing properties.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractFullBinding` | `converter, reverseConverter, sourceBinding, targetBinding, validator`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractSyntheticBinding(PropertyBinding source, TargetBinding target, Class klass, String propertyName)` Creates a synthetic binding for the supplied property and component type.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `bind()` Installs the synthetic listeners if this binding is not already active.
    `` | `public void` | `rebind()` Reinstalls the synthetic listeners when the binding is already active.
    `` | `public void` | `setSourceBinding(SourceBinding source)` Validates and stores the source binding for this synthetic property.
    `` | `public void` | `setTargetBinding(TargetBinding target)` Stores the target binding that receives propagated updates.
    `` | `protected abstract void` | `syntheticBind()` Hooks the synthetic listeners required by this binding.
    `` | `protected abstract void` | `syntheticUnbind()` Removes any synthetic listeners installed by this binding.
    `` | `public void` | `unbind()` Removes the synthetic listeners if this binding is currently active.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFullBinding` | `getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update`

- - ### Constructor Detail

    - #### public AbstractSyntheticBinding(PropertyBinding source, TargetBinding target, Class klass, String propertyName)

      Creates a synthetic binding for the supplied property and component type.

      Parameters:
        `source` - the source property binding
        `target` - the target binding
        `klass` - the supported component type
        `propertyName` - the synthetic property name

  - ### Method Detail

    - #### public void bind()

      Installs the synthetic listeners if this binding is not already active.

    - #### public void rebind()

      Reinstalls the synthetic listeners when the binding is already active.

    - #### public void setSourceBinding(SourceBinding source)

      Validates and stores the source binding for this synthetic property.

      Parameters:
        `source` - the source binding to validate

    - #### public void setTargetBinding(TargetBinding target)

      Stores the target binding that receives propagated updates.

      Parameters:
        `target` - the target binding

    - #### protected abstract void syntheticBind()

      Hooks the synthetic listeners required by this binding.

    - #### protected abstract void syntheticUnbind()

      Removes any synthetic listeners installed by this binding.

    - #### public void unbind()

      Removes the synthetic listeners if this binding is currently active.